import { UmbContextToken } from '../../../../../libs/context-api/index.js';
import type { UmbControllerHost } from '../../../../../libs/controller-api/index.js';
import { UmbContextBase } from '../../../../../libs/class-api/index.js';
import { UmbVariantId } from '../../../variant/index.js';
export declare class UmbWorkspaceSplitViewContext extends UmbContextBase {
    #private;
    getWorkspaceContext(): import("../../index.js").UmbVariantDatasetWorkspaceContext<import("../../../variant/index.js").UmbEntityVariantModel> | undefined;
    index: import("rxjs").Observable<number | undefined>;
    isNew: import("rxjs").Observable<boolean | undefined>;
    variantId: import("rxjs").Observable<UmbVariantId | undefined>;
    constructor(host: UmbControllerHost);
    switchVariant(variant: UmbVariantId): void;
    closeSplitView(): void;
    openSplitView(variant: UmbVariantId): void;
    getSplitViewIndex(): number | undefined;
    setSplitViewIndex(index: number): void;
    /**
     *
     * concept this class could have methods to set and get the culture and segment of the active variant? just by using the index.
     */
    destroy(): void;
}
export declare const UMB_WORKSPACE_SPLIT_VIEW_CONTEXT: UmbContextToken<UmbWorkspaceSplitViewContext, UmbWorkspaceSplitViewContext>;
